View Issue Details

IDProjectCategoryView StatusLast Update
0003161PartDesignBugpublic2017-09-19 13:03
ReporterDekonstruiererAssigned Toickby 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0003161: Shape Binder not at expected place
DescriptionWhen a Shape Binder is created on a face of a pad (created from a sketch) and the face is parallel to the sketch of the pad, the shape binder lies at a wrong place.

Sketch created on XY -> SB lies on XY Axis, but should be on the face being parallel to XY in Z direction with Length of the pad.

Sketch created on XZ Plane -> SB lies on XY Axis.
Sketch created on YZ Plane -> SB lies on XZ Axis.

Was discussed in the forum here: ([url=https://forum.freecadweb.org/viewtopic.php?f=3&t=23893&p=186832#p186832]link[/url])
Steps To ReproduceCreate a sketch on [b]YZ[/b]-Plane, make a pad from it and create a shape binder on the face parallel to the sketch -Y the Shap Binder lies on [b]XZ[/b]-Plane.

Create a sketch on [b]XZ[/b]-Plane, make a pad from it and create a shape binder on the face parallel to the sketch, the Shap Binder lies on [b]XY[/b]-Plane.

Create a sketch on [b]XY[/b]-Plane, make a pad from it and create a shape binder on the face parallel to the sketch, the Shap Binder lies on [b]XY[/b]-Plane.
Additional InformationOS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.11779 (Git)
Build type: Release
Branch: master
Hash: 7c87549e4ba992cf324c59986908a22ccb5fcf4c
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: German/Germany (de_DE)
Tagsshapebinder

Activities

Dekonstruierer

2017-08-16 10:39

reporter  

ShapeBinder not expected place YZ-XZ.FCStd (11,375 bytes)

Dekonstruierer

2017-08-26 15:52

reporter   ~0010008

Guess I fixed it with this:
[url=https://github.com/FreeCAD/FreeCAD/pull/949]Your text to link here...[/url]

wmayer

2017-09-19 13:03

administrator   ~0010137

Fixed in https://github.com/FreeCAD/FreeCAD/commit/3058b0c71316caeee494c9ee6b93b70a56ae1474

Issue History

Date Modified Username Field Change
2017-08-16 10:39 Dekonstruierer New Issue
2017-08-16 10:39 Dekonstruierer File Added: ShapeBinder not expected place YZ-XZ.FCStd
2017-08-16 10:39 Dekonstruierer Tag Attached: shapebinder
2017-08-22 19:49 Kunda1 Description Updated View Revisions
2017-08-22 19:50 Kunda1 Status new => confirmed
2017-08-22 19:50 Kunda1 Target Version => 0.17
2017-08-26 15:52 Dekonstruierer Note Added: 0010008
2017-09-19 13:03 wmayer Assigned To => ickby
2017-09-19 13:03 wmayer Status confirmed => closed
2017-09-19 13:03 wmayer Resolution open => fixed
2017-09-19 13:03 wmayer Fixed in Version => 0.17
2017-09-19 13:03 wmayer Note Added: 0010137